API explorerTeams
Update a device group (admin or owner)
PATCH /api/agent/teams/{id}/groups/{groupId}. Required scopes: teams:write.
Loading API reference…
Required scopes: teams:write
bearer teams:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: teams:write
id*stringgroupId*stringapplication/jsonname?string1 <= length <= 60memberIds?array<>items <= 200deviceIds?array<>items <= 200Success
application/jsongroup*curl -X PATCH 'https://example.com/api/agent/teams/string/groups/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "group": { "id": "string", "teamId": "string", "name": "string", "members": [ { "userId": "string", "name": "string", "email": "string", "image": "string" } ], "devices": [ { "id": "string", "deviceName": "string", "userId": "string", "userName": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}